SHELL := cmd.exe
CYGWIN=nontsec
export PATH := C:\Python38\Scripts\;C:\Python38\;C:\Program Files\Common Files\Siemens\Automation\Simatic OAM\bin;C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\iCLS\;C:\Program Files\Intel\Intel(R) Management Engine Components\iCLS\;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0\;C:\Program Files\Microsoft SQL Server\130\Tools\Binn\;C:\Program Files\Git\cmd;C:\Program Files\Microsoft VS Code\bin;C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\DAL;C:\Program Files\Intel\Intel(R) Management Engine Components\DAL;C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\IPT;C:\Program Files\Intel\Intel(R) Management Engine Components\IPT;C:\Program Files (x86)\Windows Kits\8.1\Windows Performance Toolkit\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;C:\Program Files\Microsoft\Web Platform Installer\;C:\Program Files\dotnet\;C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\170\Tools\Binn\;C:\Program Files (x86)\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn\;C:\Program Files (x86)\Microsoft SQL Server\120\Tools\Binn\;C:\Program Files (x86)\Microsoft SQL Server\120\DTS\Binn\;C:\Program Files\IntervalZero\Common\bin;C:\Program Files\IntervalZero\RTX64\bin;C:\Program Files\IntervalZero\KINGSTAR\bin;C:\Program Files (x86)\dotnet\;C:\Program Files (x86)\Common Files\Rockwell\;C:\Program Files\Common Files\Rockwell\FTLD\;C:\Program Files (x86)\Common Files\Rockwell\FTLD\;C:\Program Files (x86)\Rockwell Software\RSCommon;C:\Program Files (x86)\Common Files\Rockwell\FactoryTalk Linx\;C:\Program Files (x86)\Common Files\Rockwell;C:\Program Files (x86)\Rockwell Software\;C:\ProgramData\chocolatey\bin;C:\Program Files\OpenSSL-Win64\bin\;C:\opencv\x64\vc16\bin;C:\xmllint\bin;C:\Program Files\Graphviz\bin;C:\Program Files\Calibre2\;C:\Program Files (x86)\CODESYS\APInstaller\;C:\Users\Lincoln\AppData\Local\Microsoft\WindowsApps;C:\Users\Lincoln\AppData\Local\GitHubDesktop\bin;C:\Users\Lincoln\AppData\Local\Microsoft\WindowsApps;C:\Program Files (x86)\Common Files\Hilscher GmbH\TLRDecode;C:\Program Files\OpenSSL-Win64\bin;C:\Users\Lincoln\AppData\Local\Microsoft\WindowsApps;C:\Users\Lincoln\AppData\Local\GitHubDesktop\bin;C:\Users\Lincoln\AppData\Local\Microsoft\WindowsApps;C:\Program Files (x86)\Common Files\Hilscher GmbH\TLRDecode;C:\Program Files\OpenSSL-Win64\bin
export AS_BUILD_MODE := Build
export AS_VERSION := 4.5.2.102
export AS_COMPANY_NAME :=  
export AS_USER_NAME := Lincoln
export AS_PATH := C:/BrAutomation4_5_2/AS45
export AS_BIN_PATH := C:/BrAutomation4_5_2/AS45/Bin-en
export AS_PROJECT_PATH := C:/Users/Lincoln/Desktop/BandR\ V06d03d044d00\ (AS\ V4.5)/Example\ Project
export AS_PROJECT_NAME := BandR_examples
export AS_SYSTEM_PATH := C:/BrAutomation4_5_2/AS/System
export AS_VC_PATH := C:/BrAutomation4_5_2/AS45/AS/VC
export AS_TEMP_PATH := C:/Users/Lincoln/Desktop/BandR\ V06d03d044d00\ (AS\ V4.5)/Example\ Project/Temp
export AS_CONFIGURATION := ConfigARM
export AS_BINARIES_PATH := C:/Users/Lincoln/Desktop/BandR\ V06d03d044d00\ (AS\ V4.5)/Example\ Project/Binaries
export AS_GNU_INST_PATH := C:/BrAutomation4_5_2/AS45/AS/GnuInst/V4.1.2
export AS_GNU_BIN_PATH := $(AS_GNU_INST_PATH)/bin
export AS_GNU_INST_PATH_SUB_MAKE := C:/BrAutomation4_5_2/AS45/AS/GnuInst/V4.1.2
export AS_GNU_BIN_PATH_SUB_MAKE := $(AS_GNU_INST_PATH_SUB_MAKE)/bin
export AS_INSTALL_PATH := C:/BrAutomation4_5_2/AS45
export WIN32_AS_PATH := "C:\BrAutomation4_5_2\AS45"
export WIN32_AS_BIN_PATH := "C:\BrAutomation4_5_2\AS45\Bin-en"
export WIN32_AS_PROJECT_PATH := "C:\Users\Lincoln\Desktop\BandR V06d03d044d00 (AS V4.5)\Example Project"
export WIN32_AS_SYSTEM_PATH := "C:\BrAutomation4_5_2\AS\System"
export WIN32_AS_VC_PATH := "C:\BrAutomation4_5_2\AS45\AS\VC"
export WIN32_AS_TEMP_PATH := "C:\Users\Lincoln\Desktop\BandR V06d03d044d00 (AS V4.5)\Example Project\Temp"
export WIN32_AS_BINARIES_PATH := "C:\Users\Lincoln\Desktop\BandR V06d03d044d00 (AS V4.5)\Example Project\Binaries"
export WIN32_AS_GNU_INST_PATH := "C:\BrAutomation4_5_2\AS45\AS\GnuInst\V4.1.2"
export WIN32_AS_GNU_BIN_PATH := "$(WIN32_AS_GNU_INST_PATH)\\bin" 
export WIN32_AS_INSTALL_PATH := "C:\BrAutomation4_5_2\AS45"

.suffixes:

ProjectMakeFile:

	@'$(AS_BIN_PATH)/BR.AS.AnalyseProject.exe' '$(AS_PROJECT_PATH)/BandR_examples.apj' -t '$(AS_TEMP_PATH)' -c '$(AS_CONFIGURATION)' -o '$(AS_BINARIES_PATH)'   -sfas -buildMode 'Build'   

